%define anolis_release 1

Name:          xapian-core
Version:       1.4.20
Release:       %{anolis_release}%{?dist}
Summary:       The Xapian Probabilistic Information Retrieval Library
License:       GPL-2.0-or-later
URL:           https://www.xapian.org/
Source0:       https://www.oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libuuid-devel
BuildRequires: make
BuildRequires: zlib-devel
Requires: %{name}-libs = %{EVR}


%description
Xapian is an Open Source Probabilistic Information Retrieval Library. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
Doc files for %{name}

%package libs
Summary:       Xapian search engine libraries

%description libs
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
libraries for applications using Xapian functionality

%package devel
Summary:       Files needed for building packages which use Xapian
Requires:      %{name} = %{EVR}
Requires:      %{name}-libs = %{EVR}
Requires:      libuuid-devel

%description devel
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for building packages which use Xapian

%prep
%autosetup -p1

%build
%configure
%{make_build}

%install
%{make_install}

# Remove the dev docs, we pick them up below
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%files
%{_bindir}/xapian*
%{_bindir}/quest
%{_bindir}/copydatabase
%{_bindir}/simpleindex
%{_bindir}/simplesearch
%{_bindir}/simpleexpand
%{_datadir}/xapian-core/
%{_mandir}/man1/xapian*
%{_mandir}/man1/quest.1*
%{_mandir}/man1/copydatabase.1*

%files doc
%doc AUTHORS NEWS README

%files libs
%license COPYING
%{_libdir}/libxapian.so.*

%files devel
%doc HACKING PLATFORMS docs/*html docs/apidoc
%{_bindir}/xapian-config
%{_includedir}/xapian
%{_includedir}/xapian.h
%{_libdir}/libxapian.so
%{_libdir}/cmake/xapian
%{_libdir}/pkgconfig/xapian-core.pc
%{_datadir}/aclocal/xapian.m4
%{_mandir}/man1/xapian-config.1*

%changelog
* Tue Mar 14 2023 Funda Wang <fundawang@yeah.net> - 1.4.20-1
- Import package for anolis 23
